#!/bin/sh
# @Author: Elena Graverini
# @Date:   2016-01-15 13:01:56
# @Last Modified by:   Elena Graverini
# @Last Modified time: 2016-01-15 13:41:31

# Location
swsource=$HOME/STAging/macros/CCEScan
# TT radii
rads=(75 45 40)
# TT vals
vals=(3 5 7)
# Make TT plots
for val in "${vals[@]}"
do
    for sector in `cat $swsource/TTsectors.dat`
    do
        ${swsource}/plotSector -d TT -s ${sector} -v ${val} -b
    done
    for sector in `cat $swsource/TTinner.dat`
    do
        for rad in "${rads[@]}"
        do
            ${swsource}/plotSector -d TT -s ${sector} -r ${rad} -v ${val} -b
        done
    done
    # Make cumulative TT plot
    ${swsource}/deplVphiN_normalized -d TT -v ${val} -b
done
# Make IT plots
for sector in `cat $swsource/ITsectors.dat`
do
    ${swsource}/plotSector -d IT -s ${sector} -v 7 -b
done
for sector in `cat $swsource/ITinner.dat`
do
    ${swsource}/plotSector -d IT -s ${sector} -v 7 -r 175 -b
done
${swsource}/deplVphiN_normalized -d IT -v 7 -b
